Summary: The VIM editor.
Name: vim
%define srcversion 6.2
%define patchlevel 098
%define shortname vim62
Version: %srcversion.%patchlevel
Release: 3tsl
License: Charityware
Group: Environment/Editors
Source0: ftp://ftp.nl.vim.org/pub/vim/unix/vim-%{srcversion}.tar.bz2
Source1: vimrc
# All the patches does not apply clean as they contain patches for files
# not in the Source0.  This is the net result of applying them all.
Patch0: vim-6.2.098-complete.patch
Requires: gawk
Buildrequires: python-devel perl
Buildroot: /var/tmp/vim-%version

%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

%package doc
Summary: Online documentation for the VIM editor.
Group: Environment/Editors

%description doc
This is the online documentation for the VIM editor.  These files can
be accessed via :help in the editor as well as plain text files under
/usr/share/vim/%{shortname}/doc

Install this package if you want online documentation for the VIM editor.

%package syntax
Summary: Syntax files addon to the VIM editor.
Group: Environment/Editors
Requires: vim = %{version}

%description syntax
The VIM editor ships with a number of files that can add syntax support to
the editor.

Install this package if you want syntax support in the VIM editor.

%package tools
Summary: Various support the VIM editor.
Group: Environment/Editors
Requires: vim = %{version}

%description tools
The VIM editor ships with a number of support tools which are not needed
by default but may still be of use. This package also includes different
color-schemes, plugins and macros.

%prep
%setup -q -n %{shortname}
%patch0 -p1

%build
cd src

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	 --exec-prefix=/ \
	--without-x \
	--enable-gui=no \
	--mandir=%{_mandir} \
	--with-tlib=ncurses
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin

cd src
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT/ \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} install

pushd $RPM_BUILD_ROOT/bin
ln -sf vim vi
mv xxd ../usr/bin
popd

make installmacros DEST=$RPM_BUILD_ROOT

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/vim

cd ..
# Split into packages
find $RPM_BUILD_ROOT/usr/share/vim/%{shortname} -type f > filelist.all
sed -e "s|$RPM_BUILD_ROOT||" filelist.all | egrep -v '/tools(/|$)' > filelist.nottols
egrep -v '/(colors|compiler|ftplugin|indent|macros|plugin|syntax)(/|$)' filelist.nottols > filelist.nosyntax
egrep -v '/doc(/|$)' filelist.nosyntax > filelist.left

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f filelist.left
%defattr(-,root,root)
%doc README*.txt runtime/macros/README.txt runtime/tools/README.txt
%doc runtime/termcap
%config /usr/share/vim/vimrc
/bin/vim
/bin/ex
/bin/view
/bin/rvim
/bin/rview
/bin/vimtutor
/bin/vi
/bin/vimdiff
/usr/bin/xxd
/usr/share/man/man1/vim.1*
/usr/share/man/man1/vimtutor.1*
/usr/share/man/man1/vimdiff.1*
/usr/share/man/man1/ex.1*
/usr/share/man/man1/view.1*
/usr/share/man/man1/rvim.1*
/usr/share/man/man1/rview.1*
/usr/share/man/man1/xxd.1*
%dir /usr/share/vim
%dir /usr/share/vim/%{shortname}
%dir /usr/share/vim/%{shortname}/keymap
%dir /usr/share/vim/%{shortname}/lang
%dir /usr/share/vim/%{shortname}/print
%dir /usr/share/vim/%{shortname}/tutor
/usr/share/vim/%{shortname}/syntax/nosyntax.vim

%files doc
%defattr(-,root,root)
/usr/share/vim/%{shortname}/doc

%files syntax
%defattr(-,root,root)
/usr/share/vim/%{shortname}/syntax/2html.vim
/usr/share/vim/%{shortname}/syntax/a65.vim
/usr/share/vim/%{shortname}/syntax/aap.vim
/usr/share/vim/%{shortname}/syntax/abaqus.vim
/usr/share/vim/%{shortname}/syntax/abc.vim
/usr/share/vim/%{shortname}/syntax/abel.vim
/usr/share/vim/%{shortname}/syntax/acedb.vim
/usr/share/vim/%{shortname}/syntax/ada.vim
/usr/share/vim/%{shortname}/syntax/aflex.vim
/usr/share/vim/%{shortname}/syntax/ahdl.vim
/usr/share/vim/%{shortname}/syntax/amiga.vim
/usr/share/vim/%{shortname}/syntax/aml.vim
/usr/share/vim/%{shortname}/syntax/ampl.vim
/usr/share/vim/%{shortname}/syntax/ant.vim
/usr/share/vim/%{shortname}/syntax/antlr.vim
/usr/share/vim/%{shortname}/syntax/apache.vim
/usr/share/vim/%{shortname}/syntax/apachestyle.vim
/usr/share/vim/%{shortname}/syntax/art.vim
/usr/share/vim/%{shortname}/syntax/asm.vim
/usr/share/vim/%{shortname}/syntax/asm68k.vim
/usr/share/vim/%{shortname}/syntax/asmh8300.vim
/usr/share/vim/%{shortname}/syntax/asn.vim
/usr/share/vim/%{shortname}/syntax/aspperl.vim
/usr/share/vim/%{shortname}/syntax/aspvbs.vim
/usr/share/vim/%{shortname}/syntax/atlas.vim
/usr/share/vim/%{shortname}/syntax/automake.vim
/usr/share/vim/%{shortname}/syntax/ave.vim
/usr/share/vim/%{shortname}/syntax/awk.vim
/usr/share/vim/%{shortname}/syntax/ayacc.vim
/usr/share/vim/%{shortname}/syntax/b.vim
/usr/share/vim/%{shortname}/syntax/baan.vim
/usr/share/vim/%{shortname}/syntax/basic.vim
/usr/share/vim/%{shortname}/syntax/bc.vim
/usr/share/vim/%{shortname}/syntax/bdf.vim
/usr/share/vim/%{shortname}/syntax/bib.vim
/usr/share/vim/%{shortname}/syntax/bindzone.vim
/usr/share/vim/%{shortname}/syntax/blank.vim
/usr/share/vim/%{shortname}/syntax/btm.vim
/usr/share/vim/%{shortname}/syntax/c.vim
/usr/share/vim/%{shortname}/syntax/catalog.vim
/usr/share/vim/%{shortname}/syntax/cdl.vim
/usr/share/vim/%{shortname}/syntax/cf.vim
/usr/share/vim/%{shortname}/syntax/cfg.vim
/usr/share/vim/%{shortname}/syntax/ch.vim
/usr/share/vim/%{shortname}/syntax/change.vim
/usr/share/vim/%{shortname}/syntax/changelog.vim
/usr/share/vim/%{shortname}/syntax/chaskell.vim
/usr/share/vim/%{shortname}/syntax/cheetah.vim
/usr/share/vim/%{shortname}/syntax/cl.vim
/usr/share/vim/%{shortname}/syntax/clean.vim
/usr/share/vim/%{shortname}/syntax/clipper.vim
/usr/share/vim/%{shortname}/syntax/cobol.vim
/usr/share/vim/%{shortname}/syntax/colortest.vim
/usr/share/vim/%{shortname}/syntax/conf.vim
/usr/share/vim/%{shortname}/syntax/config.vim
/usr/share/vim/%{shortname}/syntax/cpp.vim
/usr/share/vim/%{shortname}/syntax/crontab.vim
/usr/share/vim/%{shortname}/syntax/cs.vim
/usr/share/vim/%{shortname}/syntax/csc.vim
/usr/share/vim/%{shortname}/syntax/csh.vim
/usr/share/vim/%{shortname}/syntax/csp.vim
/usr/share/vim/%{shortname}/syntax/css.vim
/usr/share/vim/%{shortname}/syntax/cterm.vim
/usr/share/vim/%{shortname}/syntax/ctrlh.vim
/usr/share/vim/%{shortname}/syntax/cupl.vim
/usr/share/vim/%{shortname}/syntax/cuplsim.vim
/usr/share/vim/%{shortname}/syntax/cvs.vim
/usr/share/vim/%{shortname}/syntax/cvsrc.vim
/usr/share/vim/%{shortname}/syntax/cweb.vim
/usr/share/vim/%{shortname}/syntax/cynlib.vim
/usr/share/vim/%{shortname}/syntax/cynpp.vim
/usr/share/vim/%{shortname}/syntax/dcd.vim
/usr/share/vim/%{shortname}/syntax/dcl.vim
/usr/share/vim/%{shortname}/syntax/debchangelog.vim
/usr/share/vim/%{shortname}/syntax/debcontrol.vim
/usr/share/vim/%{shortname}/syntax/def.vim
/usr/share/vim/%{shortname}/syntax/desc.vim
/usr/share/vim/%{shortname}/syntax/diff.vim
/usr/share/vim/%{shortname}/syntax/diva.vim
/usr/share/vim/%{shortname}/syntax/dns.vim
/usr/share/vim/%{shortname}/syntax/docbk.vim
/usr/share/vim/%{shortname}/syntax/docbksgml.vim
/usr/share/vim/%{shortname}/syntax/docbkxml.vim
/usr/share/vim/%{shortname}/syntax/dosbatch.vim
/usr/share/vim/%{shortname}/syntax/dosini.vim
/usr/share/vim/%{shortname}/syntax/dot.vim
/usr/share/vim/%{shortname}/syntax/dracula.vim
/usr/share/vim/%{shortname}/syntax/dsl.vim
/usr/share/vim/%{shortname}/syntax/dtd.vim
/usr/share/vim/%{shortname}/syntax/dtml.vim
/usr/share/vim/%{shortname}/syntax/dylan.vim
/usr/share/vim/%{shortname}/syntax/dylanintr.vim
/usr/share/vim/%{shortname}/syntax/dylanlid.vim
/usr/share/vim/%{shortname}/syntax/ecd.vim
/usr/share/vim/%{shortname}/syntax/edif.vim
/usr/share/vim/%{shortname}/syntax/eiffel.vim
/usr/share/vim/%{shortname}/syntax/elf.vim
/usr/share/vim/%{shortname}/syntax/elmfilt.vim
/usr/share/vim/%{shortname}/syntax/erlang.vim
/usr/share/vim/%{shortname}/syntax/esqlc.vim
/usr/share/vim/%{shortname}/syntax/eterm.vim
/usr/share/vim/%{shortname}/syntax/exim.vim
/usr/share/vim/%{shortname}/syntax/expect.vim
/usr/share/vim/%{shortname}/syntax/exports.vim
/usr/share/vim/%{shortname}/syntax/fetchmail.vim
/usr/share/vim/%{shortname}/syntax/fgl.vim
/usr/share/vim/%{shortname}/syntax/focexec.vim
/usr/share/vim/%{shortname}/syntax/form.vim
/usr/share/vim/%{shortname}/syntax/forth.vim
/usr/share/vim/%{shortname}/syntax/fortran.vim
/usr/share/vim/%{shortname}/syntax/foxpro.vim
/usr/share/vim/%{shortname}/syntax/fstab.vim
/usr/share/vim/%{shortname}/syntax/fvwm.vim
/usr/share/vim/%{shortname}/syntax/fvwm2m4.vim
/usr/share/vim/%{shortname}/syntax/gdb.vim
/usr/share/vim/%{shortname}/syntax/gdmo.vim
/usr/share/vim/%{shortname}/syntax/gedcom.vim
/usr/share/vim/%{shortname}/syntax/gkrellmrc.vim
/usr/share/vim/%{shortname}/syntax/gnuplot.vim
/usr/share/vim/%{shortname}/syntax/gp.vim
/usr/share/vim/%{shortname}/syntax/gpg.vim
/usr/share/vim/%{shortname}/syntax/groff.vim
/usr/share/vim/%{shortname}/syntax/grub.vim
/usr/share/vim/%{shortname}/syntax/gsp.vim
/usr/share/vim/%{shortname}/syntax/gtkrc.vim
/usr/share/vim/%{shortname}/syntax/haskell.vim
/usr/share/vim/%{shortname}/syntax/hb.vim
/usr/share/vim/%{shortname}/syntax/help.vim
/usr/share/vim/%{shortname}/syntax/hercules.vim
/usr/share/vim/%{shortname}/syntax/hex.vim
/usr/share/vim/%{shortname}/syntax/hitest.vim
/usr/share/vim/%{shortname}/syntax/hog.vim
/usr/share/vim/%{shortname}/syntax/html.vim
/usr/share/vim/%{shortname}/syntax/htmlcheetah.vim
/usr/share/vim/%{shortname}/syntax/htmlm4.vim
/usr/share/vim/%{shortname}/syntax/htmlos.vim
/usr/share/vim/%{shortname}/syntax/ia64.vim
/usr/share/vim/%{shortname}/syntax/icon.vim
/usr/share/vim/%{shortname}/syntax/idl.vim
/usr/share/vim/%{shortname}/syntax/idlang.vim
/usr/share/vim/%{shortname}/syntax/indent.vim
/usr/share/vim/%{shortname}/syntax/inform.vim
/usr/share/vim/%{shortname}/syntax/inittab.vim
/usr/share/vim/%{shortname}/syntax/ipfilter.vim
/usr/share/vim/%{shortname}/syntax/ishd.vim
/usr/share/vim/%{shortname}/syntax/iss.vim
/usr/share/vim/%{shortname}/syntax/ist.vim
/usr/share/vim/%{shortname}/syntax/jal.vim
/usr/share/vim/%{shortname}/syntax/jam.vim
/usr/share/vim/%{shortname}/syntax/jargon.vim
/usr/share/vim/%{shortname}/syntax/java.vim
/usr/share/vim/%{shortname}/syntax/javacc.vim
/usr/share/vim/%{shortname}/syntax/javascript.vim
/usr/share/vim/%{shortname}/syntax/jess.vim
/usr/share/vim/%{shortname}/syntax/jgraph.vim
/usr/share/vim/%{shortname}/syntax/jproperties.vim
/usr/share/vim/%{shortname}/syntax/jsp.vim
/usr/share/vim/%{shortname}/syntax/kix.vim
/usr/share/vim/%{shortname}/syntax/kscript.vim
/usr/share/vim/%{shortname}/syntax/kwt.vim
/usr/share/vim/%{shortname}/syntax/lace.vim
/usr/share/vim/%{shortname}/syntax/latte.vim
/usr/share/vim/%{shortname}/syntax/lex.vim
/usr/share/vim/%{shortname}/syntax/lftp.vim
/usr/share/vim/%{shortname}/syntax/lhaskell.vim
/usr/share/vim/%{shortname}/syntax/lifelines.vim
/usr/share/vim/%{shortname}/syntax/lilo.vim
/usr/share/vim/%{shortname}/syntax/lisp.vim
/usr/share/vim/%{shortname}/syntax/lite.vim
/usr/share/vim/%{shortname}/syntax/logtalk.vim
/usr/share/vim/%{shortname}/syntax/lotos.vim
/usr/share/vim/%{shortname}/syntax/lout.vim
/usr/share/vim/%{shortname}/syntax/lpc.vim
/usr/share/vim/%{shortname}/syntax/lprolog.vim
/usr/share/vim/%{shortname}/syntax/lscript.vim
/usr/share/vim/%{shortname}/syntax/lss.vim
/usr/share/vim/%{shortname}/syntax/lua.vim
/usr/share/vim/%{shortname}/syntax/lynx.vim
/usr/share/vim/%{shortname}/syntax/m4.vim
/usr/share/vim/%{shortname}/syntax/mail.vim
/usr/share/vim/%{shortname}/syntax/mailcap.vim
/usr/share/vim/%{shortname}/syntax/make.vim
/usr/share/vim/%{shortname}/syntax/man.vim
/usr/share/vim/%{shortname}/syntax/manual.vim
/usr/share/vim/%{shortname}/syntax/maple.vim
/usr/share/vim/%{shortname}/syntax/masm.vim
/usr/share/vim/%{shortname}/syntax/mason.vim
/usr/share/vim/%{shortname}/syntax/master.vim
/usr/share/vim/%{shortname}/syntax/matlab.vim
/usr/share/vim/%{shortname}/syntax/mel.vim
/usr/share/vim/%{shortname}/syntax/mf.vim
/usr/share/vim/%{shortname}/syntax/mgp.vim
/usr/share/vim/%{shortname}/syntax/mib.vim
/usr/share/vim/%{shortname}/syntax/mma.vim
/usr/share/vim/%{shortname}/syntax/mmix.vim
/usr/share/vim/%{shortname}/syntax/modconf.vim
/usr/share/vim/%{shortname}/syntax/model.vim
/usr/share/vim/%{shortname}/syntax/modsim3.vim
/usr/share/vim/%{shortname}/syntax/modula2.vim
/usr/share/vim/%{shortname}/syntax/modula3.vim
/usr/share/vim/%{shortname}/syntax/monk.vim
/usr/share/vim/%{shortname}/syntax/moo.vim
/usr/share/vim/%{shortname}/syntax/mp.vim
/usr/share/vim/%{shortname}/syntax/msidl.vim
/usr/share/vim/%{shortname}/syntax/msql.vim
/usr/share/vim/%{shortname}/syntax/mush.vim
/usr/share/vim/%{shortname}/syntax/muttrc.vim
/usr/share/vim/%{shortname}/syntax/mysql.vim
/usr/share/vim/%{shortname}/syntax/named.vim
/usr/share/vim/%{shortname}/syntax/nasm.vim
/usr/share/vim/%{shortname}/syntax/nastran.vim
/usr/share/vim/%{shortname}/syntax/natural.vim
/usr/share/vim/%{shortname}/syntax/ncf.vim
/usr/share/vim/%{shortname}/syntax/nqc.vim
/usr/share/vim/%{shortname}/syntax/nroff.vim
/usr/share/vim/%{shortname}/syntax/nsis.vim
/usr/share/vim/%{shortname}/syntax/objc.vim
/usr/share/vim/%{shortname}/syntax/objcpp.vim
/usr/share/vim/%{shortname}/syntax/ocaml.vim
/usr/share/vim/%{shortname}/syntax/occam.vim
/usr/share/vim/%{shortname}/syntax/omnimark.vim
/usr/share/vim/%{shortname}/syntax/openroad.vim
/usr/share/vim/%{shortname}/syntax/opl.vim
/usr/share/vim/%{shortname}/syntax/ora.vim
/usr/share/vim/%{shortname}/syntax/papp.vim
/usr/share/vim/%{shortname}/syntax/pascal.vim
/usr/share/vim/%{shortname}/syntax/pcap.vim
/usr/share/vim/%{shortname}/syntax/pccts.vim
/usr/share/vim/%{shortname}/syntax/perl.vim
/usr/share/vim/%{shortname}/syntax/pf.vim
/usr/share/vim/%{shortname}/syntax/pfmain.vim
/usr/share/vim/%{shortname}/syntax/php.vim
/usr/share/vim/%{shortname}/syntax/phtml.vim
/usr/share/vim/%{shortname}/syntax/pic.vim
/usr/share/vim/%{shortname}/syntax/pike.vim
/usr/share/vim/%{shortname}/syntax/pilrc.vim
/usr/share/vim/%{shortname}/syntax/pine.vim
/usr/share/vim/%{shortname}/syntax/plm.vim
/usr/share/vim/%{shortname}/syntax/plp.vim
/usr/share/vim/%{shortname}/syntax/plsql.vim
/usr/share/vim/%{shortname}/syntax/po.vim
/usr/share/vim/%{shortname}/syntax/pod.vim
/usr/share/vim/%{shortname}/syntax/postscr.vim
/usr/share/vim/%{shortname}/syntax/pov.vim
/usr/share/vim/%{shortname}/syntax/povini.vim
/usr/share/vim/%{shortname}/syntax/ppd.vim
/usr/share/vim/%{shortname}/syntax/ppwiz.vim
/usr/share/vim/%{shortname}/syntax/procmail.vim
/usr/share/vim/%{shortname}/syntax/progress.vim
/usr/share/vim/%{shortname}/syntax/prolog.vim
/usr/share/vim/%{shortname}/syntax/psf.vim
/usr/share/vim/%{shortname}/syntax/ptcap.vim
/usr/share/vim/%{shortname}/syntax/purifylog.vim
/usr/share/vim/%{shortname}/syntax/python.vim
/usr/share/vim/%{shortname}/syntax/qf.vim
/usr/share/vim/%{shortname}/syntax/quake.vim
/usr/share/vim/%{shortname}/syntax/r.vim
/usr/share/vim/%{shortname}/syntax/radiance.vim
/usr/share/vim/%{shortname}/syntax/ratpoison.vim
/usr/share/vim/%{shortname}/syntax/rc.vim
/usr/share/vim/%{shortname}/syntax/rcs.vim
/usr/share/vim/%{shortname}/syntax/rcslog.vim
/usr/share/vim/%{shortname}/syntax/readline.vim
/usr/share/vim/%{shortname}/syntax/rebol.vim
/usr/share/vim/%{shortname}/syntax/registry.vim
/usr/share/vim/%{shortname}/syntax/remind.vim
/usr/share/vim/%{shortname}/syntax/resolv.vim
/usr/share/vim/%{shortname}/syntax/rexx.vim
/usr/share/vim/%{shortname}/syntax/rib.vim
/usr/share/vim/%{shortname}/syntax/robots.vim
/usr/share/vim/%{shortname}/syntax/rpcgen.vim
/usr/share/vim/%{shortname}/syntax/rpl.vim
/usr/share/vim/%{shortname}/syntax/rtf.vim
/usr/share/vim/%{shortname}/syntax/ruby.vim
/usr/share/vim/%{shortname}/syntax/samba.vim
/usr/share/vim/%{shortname}/syntax/sas.vim
/usr/share/vim/%{shortname}/syntax/sather.vim
/usr/share/vim/%{shortname}/syntax/scheme.vim
/usr/share/vim/%{shortname}/syntax/scilab.vim
/usr/share/vim/%{shortname}/syntax/screen.vim
/usr/share/vim/%{shortname}/syntax/sdl.vim
/usr/share/vim/%{shortname}/syntax/sed.vim
/usr/share/vim/%{shortname}/syntax/sendpr.vim
/usr/share/vim/%{shortname}/syntax/sgml.vim
/usr/share/vim/%{shortname}/syntax/sgmldecl.vim
/usr/share/vim/%{shortname}/syntax/sgmllnx.vim
/usr/share/vim/%{shortname}/syntax/sh.vim
/usr/share/vim/%{shortname}/syntax/sicad.vim
/usr/share/vim/%{shortname}/syntax/simula.vim
/usr/share/vim/%{shortname}/syntax/sinda.vim
/usr/share/vim/%{shortname}/syntax/sindacmp.vim
/usr/share/vim/%{shortname}/syntax/sindaout.vim
/usr/share/vim/%{shortname}/syntax/skill.vim
/usr/share/vim/%{shortname}/syntax/sl.vim
/usr/share/vim/%{shortname}/syntax/slang.vim
/usr/share/vim/%{shortname}/syntax/slrnrc.vim
/usr/share/vim/%{shortname}/syntax/slrnsc.vim
/usr/share/vim/%{shortname}/syntax/sm.vim
/usr/share/vim/%{shortname}/syntax/smarty.vim
/usr/share/vim/%{shortname}/syntax/smil.vim
/usr/share/vim/%{shortname}/syntax/smith.vim
/usr/share/vim/%{shortname}/syntax/sml.vim
/usr/share/vim/%{shortname}/syntax/snnsnet.vim
/usr/share/vim/%{shortname}/syntax/snnspat.vim
/usr/share/vim/%{shortname}/syntax/snnsres.vim
/usr/share/vim/%{shortname}/syntax/snobol4.vim
/usr/share/vim/%{shortname}/syntax/spec.vim
/usr/share/vim/%{shortname}/syntax/specman.vim
/usr/share/vim/%{shortname}/syntax/spice.vim
/usr/share/vim/%{shortname}/syntax/splint.vim
/usr/share/vim/%{shortname}/syntax/spup.vim
/usr/share/vim/%{shortname}/syntax/spyce.vim
/usr/share/vim/%{shortname}/syntax/sql.vim
/usr/share/vim/%{shortname}/syntax/sqlforms.vim
/usr/share/vim/%{shortname}/syntax/sqlj.vim
/usr/share/vim/%{shortname}/syntax/sqr.vim
/usr/share/vim/%{shortname}/syntax/squid.vim
/usr/share/vim/%{shortname}/syntax/sshconfig.vim
/usr/share/vim/%{shortname}/syntax/sshdconfig.vim
/usr/share/vim/%{shortname}/syntax/st.vim
/usr/share/vim/%{shortname}/syntax/stp.vim
/usr/share/vim/%{shortname}/syntax/strace.vim
/usr/share/vim/%{shortname}/syntax/svn.vim
/usr/share/vim/%{shortname}/syntax/syncolor.vim
/usr/share/vim/%{shortname}/syntax/synload.vim
/usr/share/vim/%{shortname}/syntax/syntax.vim
/usr/share/vim/%{shortname}/syntax/tads.vim
/usr/share/vim/%{shortname}/syntax/tags.vim
/usr/share/vim/%{shortname}/syntax/tak.vim
/usr/share/vim/%{shortname}/syntax/takcmp.vim
/usr/share/vim/%{shortname}/syntax/takout.vim
/usr/share/vim/%{shortname}/syntax/tasm.vim
/usr/share/vim/%{shortname}/syntax/tcl.vim
/usr/share/vim/%{shortname}/syntax/terminfo.vim
/usr/share/vim/%{shortname}/syntax/tex.vim
/usr/share/vim/%{shortname}/syntax/texinfo.vim
/usr/share/vim/%{shortname}/syntax/texmf.vim
/usr/share/vim/%{shortname}/syntax/tf.vim
/usr/share/vim/%{shortname}/syntax/tidy.vim
/usr/share/vim/%{shortname}/syntax/tilde.vim
/usr/share/vim/%{shortname}/syntax/tli.vim
/usr/share/vim/%{shortname}/syntax/trasys.vim
/usr/share/vim/%{shortname}/syntax/tsalt.vim
/usr/share/vim/%{shortname}/syntax/tsscl.vim
/usr/share/vim/%{shortname}/syntax/tssgm.vim
/usr/share/vim/%{shortname}/syntax/tssop.vim
/usr/share/vim/%{shortname}/syntax/uc.vim
/usr/share/vim/%{shortname}/syntax/uil.vim
/usr/share/vim/%{shortname}/syntax/valgrind.vim
/usr/share/vim/%{shortname}/syntax/vb.vim
/usr/share/vim/%{shortname}/syntax/verilog.vim
/usr/share/vim/%{shortname}/syntax/vgrindefs.vim
/usr/share/vim/%{shortname}/syntax/vhdl.vim
/usr/share/vim/%{shortname}/syntax/vim.vim
/usr/share/vim/%{shortname}/syntax/viminfo.vim
/usr/share/vim/%{shortname}/syntax/virata.vim
/usr/share/vim/%{shortname}/syntax/vrml.vim
/usr/share/vim/%{shortname}/syntax/vsejcl.vim
/usr/share/vim/%{shortname}/syntax/wdiff.vim
/usr/share/vim/%{shortname}/syntax/web.vim
/usr/share/vim/%{shortname}/syntax/webmacro.vim
/usr/share/vim/%{shortname}/syntax/wget.vim
/usr/share/vim/%{shortname}/syntax/whitespace.vim
/usr/share/vim/%{shortname}/syntax/winbatch.vim
/usr/share/vim/%{shortname}/syntax/wml.vim
/usr/share/vim/%{shortname}/syntax/wsh.vim
/usr/share/vim/%{shortname}/syntax/wvdial.vim
/usr/share/vim/%{shortname}/syntax/xdefaults.vim
/usr/share/vim/%{shortname}/syntax/xf86conf.vim
/usr/share/vim/%{shortname}/syntax/xhtml.vim
/usr/share/vim/%{shortname}/syntax/xkb.vim
/usr/share/vim/%{shortname}/syntax/xmath.vim
/usr/share/vim/%{shortname}/syntax/xml.vim
/usr/share/vim/%{shortname}/syntax/xmodmap.vim
/usr/share/vim/%{shortname}/syntax/xpm.vim
/usr/share/vim/%{shortname}/syntax/xpm2.vim
/usr/share/vim/%{shortname}/syntax/xs.vim
/usr/share/vim/%{shortname}/syntax/xsd.vim
/usr/share/vim/%{shortname}/syntax/xslt.vim
/usr/share/vim/%{shortname}/syntax/xxd.vim
/usr/share/vim/%{shortname}/syntax/yacc.vim
/usr/share/vim/%{shortname}/syntax/z8a.vim
/usr/share/vim/%{shortname}/syntax/zsh.vim

%files tools
%defattr(-,root,root)
/usr/share/vim/%{shortname}/tools
/usr/share/vim/%{shortname}/colors
/usr/share/vim/%{shortname}/compiler
/usr/share/vim/%{shortname}/ftplugin
/usr/share/vim/%{shortname}/indent
/usr/share/vim/%{shortname}/macros
/usr/share/vim/%{shortname}/plugin


%changelog
* Sat Sep 27 2003 Chr.Toldnes <christht at tawie dot org> 6.2.098-3tsl
- Rebuilt and retagged

* Sat Sep 27 2003 Nico Erfurth <masta at trustix dot org> 6.2.098-2ne
- Moved colors, compiler, ftplugin, macros, indent, plugin into
  the tools subpackage

* Sat Sep 27 2003 Nico Erfurth <masta at trustix dot org> 6.2.098-1ne
- Added patch for 000 to 098
- Added vimdiff
- Added colors directory
- Added compiler directory
- Added ftplugin directory
- Added macros directory
- Added indent directory
- Added plugin directory

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 6.2.000-3tr
- Added %%defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 6.2.000-2tr
- Big rebuild

* Mon Jun  2 2003 Chr. H. Toldnes <christht at trustix dot com> 6.2.000-2ct
- New upstram version

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 6.1.405-2ct
- Removed perl dependency

* Thu Apr 03 2003 Tor Hveem <torhrustix.org> 6.1.405-1th
- New version 6.1.405
- Added some missing requires

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 6.1.288-4em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Chr. H. Toldnes <christht@tihlde.org> 6.1.288-3ct
- Added better removel of $RPM_BUILD_ROOT

* Fri Jan 17 2003 Chr. H. Toldnes <christht at trustix dot com> 6.1.288-2ct
- Changed the default vimrc to not use syntax highlighting.

* Mon Jan 13 2003 Erlend Midttun <erlendbm at trustix dot com> 6.1.288-1em
- Added patches up to .288
- Disabled modelines by default for security reasons.
- Split up into serveral packages.

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 6.1.141-2ne
- REAL specfile cleanup
- one big patch for all patches from 1 to 141 built, which
  includes all fixes, because 1ct missed some patches

* Wed Jul 24 2002 Chr. H. Toldnes <christht at trustix dot com> 6.1.141-1ct
- New upstream version: 6.1
- Patched to patchlevel 141
- Spec file cleanup

* Wed Oct 10 2001 Chr. H. Toldnes <christht at trustix dot com>
- Update to 6.0

* Tue Jun 19 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream patch: 004

* Mon Jun 11 2001 Oystein Viggen <oysteivi at trustix dot com>
- Added upstream patches 001 through 003

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 5.8

* Fri Mar 30 2001 Oystein Viggen <oysteivi at trustix dot com>
- Patch up to 5.7.027

* Sun Nov 26 2000 Oystein Viggen <oysteivi at trustix dot com>
- Link against ncurses again, because the TSL 1.2 package puts its runtime 
  libs in /lib

* Mon Jun 26 2000 Oystein Viggen <oysteivi at trustix dot com>
- Updated to vim 5.7

* Mon Mar 13 2000 Oystein Viggen <oysteivi at trustix dot com>
- Snarfed and ported to Trustix Secure Linux
- Updated to vim 5.6
- Joined all to one package as we don't really use X
- Link with libtermcap as this should be availible on the root partition,
  while libncurses probably won't. (/bin/vi should be availible with only 
  root partition mounted)
- Some minor cleanups

* Sat Jan  1 2000 Horms <horms@vergenet.net>
- updated to vim 5.5

* Fri Oct 22 1999 Horms <horms@vergenet.net>
- updated to vim 5.5b

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
